package com.example.currencyconverter;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity implements OnClickListener {

	private EditText euros, dollars;
	private Button converter, useless;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Bundle extra = getIntent().getExtras();
        String value1 = extra.getString("name");
        
        euros = (EditText) findViewById(R.id.editText1);
        dollars = (EditText) findViewById(R.id.editText2);
        
        converter = (Button) findViewById(R.id.button1);
        useless = (Button) findViewById(R.id.button2);
        
        converter.setOnClickListener(this);
        useless.setOnClickListener(this);
        		
        		
        	/*	new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				float euros_ = new Float(euros.getText().toString()).floatValue();
				float dollars_ = (float) (euros_ * 1.37);
				String dollarsS_ = String.valueOf(dollars_);
				dollars.setText(dollarsS_);
				
			}
		});*/
        
        
        
    }

    
    
	@Override
	public void finish() {
		Intent data = new Intent();
		data.putExtra("key1", "Nilanjan");
		setResult(RESULT_OK, data);
		super.finish();
	}



	@Override
	public void onClick(View arg0) {

		switch(arg0.getId())
		{
		case R.id.button1:
			float euros_ = new Float(euros.getText().toString()).floatValue();
			float dollars_ = (float) (euros_ * 1.37);
			String dollarsS_ = String.valueOf(dollars_);
			dollars.setText(dollarsS_);
			break;
		case R.id.button2:
			break;
		}
		
	}

    
}
