package com.example.testalarm;

import android.os.Bundle;
import android.app.Activity;
import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity implements OnClickListener{

	
	private Button mybutton;
	private EditText myedittext;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        
        mybutton = (Button)findViewById(R.id.button1);
        myedittext = (EditText) findViewById(R.id.editText1);
        
        
        mybutton.setOnClickListener(this);
        
    }
	@Override
	public void onClick(View arg0) {
		switch(arg0.getId())
		{
		case R.id.button1:
			int val_ = Integer.valueOf(myedittext.getText().toString());
			Intent i = new Intent(this, MyBroadcastReceiver.class);
			PendingIntent p = PendingIntent.getBroadcast(this.getApplicationContext(), 
					    0, i, 0);
			AlarmManager  alarmmanager = (AlarmManager) getSystemService(ALARM_SERVICE);
			alarmmanager.set(AlarmManager.RTC_WAKEUP, 
					(long) System.currentTimeMillis()+ (val_*1000), p);
			
			Toast.makeText(this, "Alarm has been set to "+val_, Toast.LENGTH_LONG).show();
			
			
			break;
		}
		
	}



    
}
